org.opencv.xphoto

## Class LearningBasedWB

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.xphoto.WhiteBalancer
    - - org.opencv.xphoto.LearningBasedWB

-     public class LearningBasedWB
      extends WhiteBalancer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LearningBasedWB(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LearningBasedWB` | `__fromPtr__(long addr)`
    `void` | `extractSimpleFeatures(Mat src, Mat dst)`
    `protected void` | `finalize()`
    `int` | `getHistBinNum()`
    `int` | `getRangeMaxVal()`
    `float` | `getSaturationThreshold()`
    `void` | `setHistBinNum(int val)`
    `void` | `setRangeMaxVal(int val)`
    `void` | `setSaturationThreshold(float val)`

    - ### Methods inherited from class org.opencv.xphoto.WhiteBalancer

      `balanceWhite`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LearningBasedWB

          protected LearningBasedWB(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LearningBasedWB __fromPtr__(long addr)

    - #### getSaturationThreshold

          public float getSaturationThreshold()

    - #### getHistBinNum

          public int getHistBinNum()

    - #### getRangeMaxVal

          public int getRangeMaxVal()

    - #### extractSimpleFeatures

          public void extractSimpleFeatures(Mat src,
                                            Mat dst)

    - #### setHistBinNum

          public void setHistBinNum(int val)

    - #### setRangeMaxVal

          public void setRangeMaxVal(int val)

    - #### setSaturationThreshold

          public void setSaturationThreshold(float val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `WhiteBalancer`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1